package com.example.tyre.entity;


import java.util.Date;

/**
 * 轮胎基础信息对象 base_tyre
 * 
 * @author highway
 * @date 2025-12-16
 */
public class BaseTyre
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long tyreId;


    private String tyreNo;

    private String selfNo;


    private String tyreEpc;


    private String tyreBrand;


    private String tyreModel;

    /** 轮胎层级 */

    private String tyreLevel;


    /** 轮胎花纹 */
    private String tyrePattern;

    /** 轮胎类别 */
    private String tyreType;

    /** 所属车队 */
    private String team;
    private String deptId;
    private String deptName;
    private String carNo;

    private String wheelPostion;

    private String createTime;

    private String patternDepth;

    private String pressure;


    private double sumMileage;

    public double getSumMileage() {
        return sumMileage;
    }

    public void setSumMileage(double sumMileage) {
        this.sumMileage = sumMileage;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getPressure() {
        return pressure;
    }

    public void setPressure(String pressure) {
        this.pressure = pressure;
    }

    public String getPatternDepth() {
        return patternDepth;
    }

    public void setPatternDepth(String patternDepth) {
        this.patternDepth = patternDepth;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getSelfNo() {
        return selfNo;
    }

    public void setSelfNo(String selfNo) {
        this.selfNo = selfNo;
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public String getWheelPostion() {
        return wheelPostion;
    }

    public void setWheelPostion(String wheelPostion) {
        this.wheelPostion = wheelPostion;
    }

    public void setTyreId(Long tyreId)
    {
        this.tyreId = tyreId;
    }

    public Long getTyreId() 
    {
        return tyreId;
    }
        public void setTyreNo(String tyreNo)
    {
        this.tyreNo = tyreNo;
    }

    public String getTyreNo() 
    {
        return tyreNo;
    }
        public void setTyreEpc(String tyreEpc)
    {
        this.tyreEpc = tyreEpc;
    }

    public String getTyreEpc() 
    {
        return tyreEpc;
    }
        public void setTyreBrand(String tyreBrand)
    {
        this.tyreBrand = tyreBrand;
    }

    public String getTyreBrand() 
    {
        return tyreBrand;
    }
        public void setTyreModel(String tyreModel)
    {
        this.tyreModel = tyreModel;
    }

    public String getTyreModel() 
    {
        return tyreModel;
    }
        public void setTyreLevel(String tyreLevel)
    {
        this.tyreLevel = tyreLevel;
    }

    public String getTyreLevel() 
    {
        return tyreLevel;
    }
        public void setTyrePattern(String tyrePattern)
    {
        this.tyrePattern = tyrePattern;
    }

    public String getTyrePattern() 
    {
        return tyrePattern;
    }
        public void setTyreType(String tyreType)
    {
        this.tyreType = tyreType;
    }

    public String getTyreType() 
    {
        return tyreType;
    }
        public void setTeam(String team)
    {
        this.team = team;
    }

    public String getTeam() 
    {
        return team;
    }


}
